#include <stdlib.h>
#include <stdio.h>
#include <sys/errlog.h>

/* This is strictly to determine the memory footprint size if we kept the
 *entire* set of data pulled in the IBM struct as opposed to what we currently
 keep.

 This progarm has no other purpose.
*/


#define MAX_ERR_PULL 1000

/* CUT-N-PASTE from browse.c */
struct errline
{
  unsigned int el_sequence;
  char el_label[LE_LABEL_MAX];
  char el_rclass[LE_RCLASS_MAX];
  char el_class[LE_CLASS_MAX];
  char el_resource[LE_RESOURCE_MAX];
  unsigned int el_timestamp;
  unsigned int el_errdiag;
};
/* End CUT-N-PASTE */

char *factor_it(unsigned long szin)
{
  char *outstr;
  char factorstr[] = "BKMGK";
  int i = 0;
  unsigned long sz = szin;

  if(NULL == (outstr = (char *)malloc(1024)))
    return(NULL);

  while(sz > 10000)
  {
    sz = sz / 1000;
    i++;
  }

  sprintf(outstr, "%lu %c", sz, factorstr[i]);

  return(outstr);
}

int main(int argc, char *argv[])
{
  unsigned long szof;

  szof = sizeof(struct errline) * MAX_ERR_PULL;

  printf("My structure : %s\n", factor_it(szof));

  szof = sizeof(errlog_entry_t) * MAX_ERR_PULL;

  printf("AIX structure: %s\n", factor_it(szof));

  return(0);
}


