#include <stdio.h>

#include "debug.h"

/* ======================================================================== */
void DebugOut(char *format, ... )
{
  FILE *dbgfile;
  va_list ap;

  va_start(ap, format);

#ifdef DUMP_DEBUG_FILE
  if(NULL != (dbgfile = fopen(DUMP_DEBUG_FILE, "a")))
  {
    vfprintf(dbgfile, format, ap);
    fclose(dbgfile);
  }
#else
  /* So the compiler will not complain */
  dbgfile = NULL;
#endif

  va_end(ap);
}

/* ======================================================================== */
void TDebugOut(char *format, ... )
{
  FILE *dbgfile;
  va_list ap;

  va_start(ap, format);

#ifdef DUMP_TDEBUG_FILE
  if(NULL != (dbgfile = fopen(DUMP_TDEBUG_FILE, "a")))
  {
    vfprintf(dbgfile, format, ap);
    fclose(dbgfile);
  }
#else
  /* So the compiler will not complain */
  dbgfile = NULL;
#endif

  va_end(ap);

}
