#include <stdlib.h>

#include "listdata.h"


/*** Globals ***/
extern struct errres *error_data;


void InitLock(void)
{
	if( 0 != pthread_mutex_init(&error_data->data_lock, NULL))
	{
		fprintf(stderr, "ERROR: Unable to initialize the thread mutex.\n");
		exit(1);
	}
}

void LockData(void)
{
	pthread_mutex_lock(&error_data->data_lock);
}



void UnlockData(void)
{
	pthread_mutex_unlock(&error_data->data_lock);
}
